Subject: Re: Fixes required for cross version update testing

From: Justin Pryzby <[email-masked]>
Date: Fri, 13 Jan 2023 18:33:38 -0600

On Fri, Jan 13, 2023 at 05:20:41PM -0500, Andrew Dunstan wrote:
> Over at [1] there was some discussion of moving knowledge of what's
> required to be fixed from old branch repos to be able to upgrade them
> into the core code, instead of having it reside in a buildfarm client
> module.

Is this instead of the idea for the buildfarm to use the same SQL script
as the TAP test (upgrade_adapt.sql) ?

Discussed various places:

https://www.postgresql.org/message-id/flat/[email-masked]

https://github.com/PGBuildFarm/client-code/pull/23

https://git.postgresql.org/gitweb/?p=postgresql.git;a=commitdiff;h=0df9641d39057f431655b92b8a490b89c508a0b3
|   The long-term plan is to make the buildfarm code re-use this new SQL
|   file, so as committers are able to fix any compatibility issues in the
|   tests of pg_upgrade with a refresh of the core code, without having to
|   poke at the buildfarm client.  Note that this is only able to handle the
|   main regression test suite, and that nothing is done yet for contrib
|   modules yet (these have more issues like their database names).

https://git.postgresql.org/gitweb/?p=postgresql.git;a=commitdiff;h=9814ff550046f825b751803191b29a2fbbc79283

-- 
Justin